Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

Currently, Time entries do not have the ability to be grouped. It would be a great feature to have it group by User, Date, Category,
Tracker and/or Project. See screenshot for further details.

Related issues:

Related to Redmine - Defect #32768: Internal Error when issue text custom fie... Closed
Has duplicate Redmine - Feature #17571: "Group By" Time Entries Closed
Has duplicate Redmine - Feature #8144: Timesheet report should have group by ... Closed 2011-04-13

Associated revisions

Revision 15649 - 2016-07-13 21:02 - Jean-Philippe Lang
Make time entries groupable (#16843).

History

#1 - 2014-07-28 19:27 - Tim Schoffelman
- Copied to Feature #17571: "Group By" Time Entries added

#2 - 2014-07-28 19:27 - Tim Schoffelman
This is a dupe to #17571

#3 - 2014-07-29 21:01 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang

- Target version set to Candidate for next major release

Should we display the total hours or the entries count for each group ?

#4 - 2014-07-29 21:18 - Tim Schoffelman

It would be nice to display total hours logged for that ticket. I'm not, though | can't speak for everyone, overly concerned about the entries count.
Thank you!

#5 - 2014-07-30 11:51 - Jérome BATAILLE

Hi Jean-Philippe, we use massively Time Entries in our company, and the totals hours is very informative.

#6 - 2014-08-26 14:33 - Toshi MARUYAMA
- Copied to deleted (Feature #17571: "Group By" Time Entries)

#7 - 2014-08-26 14:34 - Toshi MARUYAMA
- Has duplicate Feature #17571: "Group By" Time Entries added

#8 - 2016-07-13 21:03 - Jean-Philippe Lang
- Subject changed from Group Time Entries to Enable grouping on time entries list
- Status changed from New to Closed

- Target version changed from Candidate for next major release to 3.4.0
https://www.redmine.org/issues/17571

- Resolution set to Fixed
Feature added in r15649.

#9 - 2016-07-13 21:04 - Jean-Philippe Lang
- Has duplicate Feature #8144: Timesheet report should have group by option by Day added

#10 - 2020-01-10 17:51 - Marius BALTEANU

- Related to Defect #32768: Internal Error when issue text custom field is shown in Spent time query results added
